ERRORE NELL'INSTALLAZIONE JAVASCRIPTING, epm error

npm WARN deprecated colors-tmpl@1.0.0: no longer maintained
npm ERR! cb() never called!

npm ERR! This is an error with npm itself. Please report this error at:
npm ERR! https://npm.community

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Home\AppData\Roaming\npm-cache_logs\2019-10-15T14_55_23_304Z-debug.log

Can you attach the log file?

C:\Users\Home\AppData\Roaming\npm-cache_logs\2019-10-15T14_55_23_304Z-debug.log

Some other people have reported problems installing the same package, but no solutions yet:

This is the log of the last installation attempt
2019-10-03T14_25_37_525Z-debug.log (4.3 KB)

@cyph3r57 You have a different problem than the other reports. I did some research and found a few similar reports but no answers. “EACCES” is usually a file permissions issue, but the error is coming from what looked like a network call.

17 error code EACCES
18 error errno EACCES
19 error FetchError: request to https://registry.npmjs.org/javascripting failed, reason: connect EACCES 104.16.26.35:443

Can you do non-global installs, or are all npm installs broken this way?

There is a troubleshooting guide for proxy and networking problems but it does not mention this error, so may not help: Common proxy and networking problems

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.